Bug 124888 - gaim doesn't text wrap
Summary: gaim doesn't text wrap
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Reed
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-01 03:57 UTC by Scott Sloan
Modified: 2007-11-30 22:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-09 00:48:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Sloan 2004-06-01 03:57:15 UTC
Description of problem:

gaim doesn't text wrap for messages with no spaces


Steps to Reproduce:
1. start a converstation
2. hold down any printable and try to fill the text box vertically
  
Actual results:

line continues forever

Expected results:

line should automatically wrap after n characters

Comment 1 Luke Schierer 2004-06-01 10:54:28 UTC
i am fairly sure this is a gtk bug and that we aren't doing our own
line wrapping. i am also fairly sure that this isn't a new bug. 

Comment 2 Stu Tomlinson 2004-09-28 16:25:28 UTC
This was actually a bug in the way Gaim was providing backwards
compatibility for Gtk < 2.4. It is fixed in Gaim CVS:

http://cvs.sourceforge.net/viewcvs.py/gaim/gaim/src/gtkgaim.h?r1=1.1&r2=1.1.2.1&diff_format=u
and
http://cvs.sourceforge.net/viewcvs.py/gaim/gaim/src/gtkimhtml.c?r1=1.364.2.1&r2=1.364.2.2&diff_format=u


Note You need to log in before you can comment on or make changes to this bug.